# Install Beszel Agent As Service Under Windows

The Windows *cmd* file `install-beszel-service.cmd` installs the [Beszel](https://beszel.dev) agent as a service under Microsoft Windows.

## Usage

Open a `cmd.exe` shell with administrative rights.

````
git clone https://gitea.elpatron.me/elpatron/Install-Beszel-Agent
cd Install-Beszel-Agent
.\install-beszel-service.cmd <your Beszel ssh key>
````

## Explanation

The script copies `agent.exe` into the directory `%ProgramFiles%\BeszelAgent` and takes usage of *[NSSM - the Non-Sucking Service Manager](https://nssm.cc/)* to install the service. *NSSM* is being installed by *[Winget](https://github.com/microsoft/winget-cli)*.

The provided `agent.exe` was compiled on January, 18th 2025 by me and should be exchanged by a self compiled or official executable.

For more details, see [*Using Beszel to monitor Windows*](https://blog.ktz.me/using-beszel-to-monitor-windows/) by Alex Kretschmar.